
// 19 September 2013 Mladen

#property indicator_chart_window
#property indicator_buffers 5
#property indicator_color1  Red
#property indicator_width1 2
#property indicator_color2  DeepSkyBlue
#property indicator_color3  Red 
#property indicator_color4  DeepSkyBlue
#property indicator_color5  Red
#property indicator_width5 2

extern int    BBPrice        = PRICE_CLOSE;
extern int    BBPeriod       = 20;
extern double BBDeviations   = 2;
extern int    AtrPeriod      = 20;
extern double AtrMultiplier  = 0.5;

double buffer1[];
double buffer2[];
double buffer3[];
double buffer4[];
double buffer5[];

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

int init()
{
   SetIndexBuffer(0,buffer1);
   SetIndexBuffer(1,buffer2);
   SetIndexBuffer(2,buffer3);
   SetIndexBuffer(3,buffer4);
   SetIndexBuffer(4,buffer5);
   return(0);
}
int deinit() { return(0); }
int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(Bars-counted_bars,Bars-1);

   //
   //
   //
   //
   //

   for(int i=limit; i>=0; i--)
   {
      double dev = iStdDev(NULL,0,BBPeriod,0,MODE_SMA,BBPrice,i);
      double atr = iATR(NULL,0,AtrPeriod,i);
         buffer3[i] = iMA(NULL,0,BBPeriod,0,MODE_SMA,BBPrice,i);
         buffer2[i] = buffer3[i]+dev*BBDeviations;
         buffer4[i] = buffer3[i]-dev*BBDeviations;
         buffer1[i] = buffer2[i]+atr*AtrMultiplier;
         buffer5[i] = buffer4[i]-atr*AtrMultiplier;
   }      
   return(0);
}

